# CUpti_ActivityOpenAccOther Struct Reference
[CUPTI Activity API]

The activity record for OpenACC other. More...

## Data Fields
uint64_t | async
uint64_t | asyncMap
uint32_t | cuContextId
uint32_t | cuDeviceId
uint32_t | cuProcessId
uint32_t | cuStreamId
uint32_t | cuThreadId
uint32_t | deviceNumber
uint32_t | deviceType
uint64_t | end
uint32_t | endLineNo
CUpti_OpenAccEventKind | eventKind
uint32_t | externalId
uint32_t | funcEndLineNo
uint32_t | funcLineNo
const char * | funcName
uint32_t | implicit
CUpti_ActivityKind | kind
uint32_t | lineNo
CUpti_OpenAccConstructKind | parentConstruct
const char * | srcFile
uint64_t | start
uint32_t | threadId
uint32_t | version

## Detailed Description

(CUPTI_ACTIVITY_KIND_OPENACC_OTHER).

## Field Documentation

uint64_t CUpti_ActivityOpenAccOther::async

Value of async() clause of the corresponding directive

uint64_t CUpti_ActivityOpenAccOther::asyncMap

Internal asynchronous queue number used

uint32_t CUpti_ActivityOpenAccOther::cuContextId

CUDA context id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccOther::cuDeviceId

CUDA device id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccOther::cuProcessId

The ID of the process where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAccOther::cuStreamId

CUDA stream id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccOther::cuThreadId

The ID of the thread where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAccOther::deviceNumber

Device number

uint32_t CUpti_ActivityOpenAccOther::deviceType

Device type

uint64_t CUpti_ActivityOpenAccOther::end

CUPTI end timestamp

uint32_t CUpti_ActivityOpenAccOther::endLineNo

For an OpenACC construct, this contains the line number of the end of the construct. A negative or zero value means the line number is not known.

CUpti_OpenAccEventKind CUpti_ActivityOpenAccOther::eventKind

CUPTI OpenACC event kind (

See also:
  CUpti_OpenAccEventKind)

uint32_t CUpti_ActivityOpenAccOther::externalId

The OpenACC correlation ID. Valid only if deviceType is acc_device_nvidia. If not 0, it uniquely identifies this record. It is identical to the externalId in the preceeding external correlation record of type CUPTI_EXTERNAL_CORRELATION_KIND_OPENACC.

uint32_t CUpti_ActivityOpenAccOther::funcEndLineNo

The last line number of the function named in func_name. A negative or zero value means the line number is not known.

uint32_t CUpti_ActivityOpenAccOther::funcLineNo

The line number of the first line of the function named in func_name. A negative or zero value means the line number is not known.

const char* CUpti_ActivityOpenAccOther::funcName

A pointer to a null-terminated string containing the name of the function in which the event occurred.

uint32_t CUpti_ActivityOpenAccOther::implicit

1 for any implicit event, such as an implicit wait at a synchronous data construct 0 otherwise

CUpti_ActivityKind CUpti_ActivityOpenAccOther::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_OPENACC_OTHER.

uint32_t CUpti_ActivityOpenAccOther::lineNo

The line number of the directive or program construct or the starting line number of the OpenACC construct corresponding to the event. A negative or zero value means the line number is not known.

CUpti_OpenAccConstructKind CUpti_ActivityOpenAccOther::parentConstruct

CUPTI OpenACC parent construct kind (

See also:
  CUpti_OpenAccConstructKind)

Note that for applications using PGI OpenACC runtime < 16.1, this will always be CUPTI_OPENACC_CONSTRUCT_KIND_UNKNOWN.

const char* CUpti_ActivityOpenAccOther::srcFile

A pointer to null-terminated string containing the name of or path to the source file, if known, or a null pointer if not.

uint64_t CUpti_ActivityOpenAccOther::start

CUPTI start timestamp

uint32_t CUpti_ActivityOpenAccOther::threadId

ThreadId

uint32_t CUpti_ActivityOpenAccOther::version

Version number